///////////////////////////////////////////////////////////
////// GDXlib.h
////// Written by:
//////    Michael Gibson
//////    (c)2003- 2007 GPL 
//
//Copyright (C) 2003-2007 Michael Gibson 
//
//This library is free software; you can redistribute it and/or
//modify it under the terms of the GNU Lesser General Public
//License as published by the Free Software Foundation; either
//version 2.1 of the License, or (at your option) any later version.
//
//This library is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//Lesser General Public License for more details.
//
//You should have received a copy of the GNU Lesser General Public
//License along with this library; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

int GDX_event_flag=0;  //for non X based events

///////////////////////////////////////////////////////////

//// x_msgbox
// type 0=plain
// type 1=plain w/ok button
// type 2=smile w/ok button
// type 3=smile
// type 4=warning w/ok button
// type 5=informational w/ok button
//
// font - if font is set for 'DEFAULT' the 'fixed' font will be used.
void x_msgbox(int type, char *disp_string, char *title, char *font, int padding);
////////////////////////////////////////////////////////////////////////////////////

void x_open();

void x_close();

////x_radiobox
// font - if font is set for 'DEFAULT' the 'fixed' font will be used.
//
int x_radiobox(char *radio1, char *radio2, char *disp_string, char *title, char *font, int padding);
////////////////////////////////////////////////////////////////////////////////////

int x_imgbox(char *image, char *title);

int x_imgkeybox(char *image, char *title, int type, int xcord, int ycord);

void x_graphwindow(int width, int height, char *title, int numberofbars, int *bars, char *font);

//// x_slistwindow
//color 0 no color alternating
//color 1 altering light greens - highlight = yellow
//color 2 altering white and light gray - hightlight = yellow
//
void x_slistwindow(int width, int height, char *title, int color, char hilight, int numberoflines, char lines[640][640], char *font, char *head);
////////////////////////////////////////////////////////////////////////////////////

int x_calbox(char *title);

void gdx_main();

void gdx_window(char *title, int size_x, int size_y);

int gdx_label(char *text, int x_location, int y_location, int border);

void gdx_frame(int x1, int y1, int x2, int y2, char *label);

void gdx_hseparator(int x, int y, int length);

void gdx_yseparator(int x, int y, int length);

int gdx_button(int x, int y, char *text, void (*callback)()  );

int gdx_selectlist(int x, int y, int numberoflines, char lines[640][640],int cols, int rows);

int gdx_chkbutton(int x, int y, char *label);

int gdx_textentry(int x, int y, int width, int type);

void gdx_closewindow();

void gdx_setwindowbg(char *filename,int format);

#include"GDXlib_X11.c"
#include"GDXlib.c"
#include"GDXlib_menu.c"
